summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNalin Dahyabhai <nalin@fedoraproject.org>2007-09-06 20:07:18 +0000
committerNalin Dahyabhai <nalin@fedoraproject.org>2007-09-06 20:07:18 +0000
commitc4bb3c531cd070f9492e903ef3f4b3f229976b4b (patch)
treef3a2222e7c1e432474625b9cff8ddabf17d7cf28
parentb54c6a0718666be217e2700c8d05b4ed5a148d66 (diff)
downloadkrb5-c4bb3c531cd070f9492e903ef3f4b3f229976b4b.tar.gz
krb5-c4bb3c531cd070f9492e903ef3f4b3f229976b4b.tar.xz
krb5-c4bb3c531cd070f9492e903ef3f4b3f229976b4b.zip
- fix incorrect call to test in the kadmin init script
-rwxr-xr-xkadmind.init2
1 files changed, 1 insertions, 1 deletions
diff --git a/kadmind.init b/kadmind.init
index 8c7e108..7e986e5 100755
--- a/kadmind.init
+++ b/kadmind.init
@@ -32,7 +32,7 @@ start() {
if [ ! -f /var/kerberos/krb5kdc/principal ] ; then
# Make an educated guess -- if they're using kldap somewhere,
# then we don't know for sure that this is an error.
- if [ ! grep -q 'db_library.*=.*kldap' /etc/krb5.conf ] ; then
+ if ! grep -q 'db_library.*=.*kldap' /etc/krb5.conf ; then
echo $"Error. Default principal database does not exist."
fi
exit 0